## Index → Getting started → Installation

## Installation on MacOS X

Installation on MacOS X is pretty much the same as in any other Unix platform. If you do not find a prepackaged version that suits your needs, you can always download and compile your own.

### Quickstart

1. Download a fresh copy of Cherokee

2. Configure the package for your system:

       ./configure --prefix=/usr/local  \
                   --with-wwwuser=www   \
                   --with-wwwgroup=www

3. Compile the package:

       make -j4

4. Install the programs and any data files:

       sudo make install

5. Start cherokee-admin

   Additionally, you can follow the Autostart instructions to load the web server at boot time.

### Autostart

If you need the cherokee webserver to start at boot time, you will have to use the provided Launchd init script. It will be built with the rest of Cherokee at the root of your build directory. Simply copy it to the apropriate location and make `launchd` aware of it with the following commands.

    sudo cp org.cherokee.webserver.plist /System/Library/LaunchDaemons/
    sudo launchctl load -w /System/Library/LaunchDaemons/org.cherokee.webserver.plist

### Advanced parameters

If you want to learn more about configure you can run `./configure --help`. The list of parameter is extensive, so you might want to take a look at it, particularly if you are a developer. Some of the most used parameters are listed on the link_basics_installation_unix.html[Unix instructions].